Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158732 - devlabel do not remove symlinks to nonexisting (multipath) devices
Summary: devlabel do not remove symlinks to nonexisting (multipath) devices
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: devlabel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karel Zak
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-25 11:02 UTC by Kari Hurtta
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-11-29 12:28:08 UTC


Attachments (Terms of Use)
example (deleted)
2005-05-25 11:02 UTC, Kari Hurtta
no flags Details

Description Kari Hurtta 2005-05-25 11:02:42 UTC
Description of problem:

devlabel reload do not remove symlinks to nonexiting devices.
It only prints 

The device /dev/sdg no longer seems to exist.  Because of this, the
symlink /dev/san/s1sanmsa1500_gomos -> /dev/sdg will not be available. The reference
to this symlink in /etc/sysconfig/devlabel will be ignored.

After reboot when devices are reassigned that symbol link
point to wrong device.


Version-Release number of selected component (if applicable):

[hurtta@smb2 hurtta]$ rpm -q devlabel
devlabel-0.48.03-10
[hurtta@smb2 hurtta]$


How reproducible:

- make symlink to multipath device with devlabel
- make all paths to device fail
- reboot or run 'devlabel reload'
- notice that symlink is still kept.

Comment 1 Kari Hurtta 2005-05-25 11:02:42 UTC
Created attachment 114819 [details]
example

Comment 2 Karel Zak 2005-10-11 14:18:13 UTC
Please, I would like to see result of:

  cat /proc/partitions | awk {'print $1" "$2" "$3" "$4'}

before "devlabel reload" in situation when the path to device is not valid. 

By the way, devlabel reports many things (by syslog) to your system logs.

Comment 3 Radek Vokal 2006-11-29 12:28:08 UTC
I'm closing this issue due to 1 year inactivity. Please reopen if you still
experience the described problems. 


Note You need to log in before you can comment on or make changes to this bug.